APIs
Log In
APIs

addPoints

Add points to a mapdata

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The "points" parameter must be a stringified JsonArray object containing the points attributes and address or latitude/longitude.

The latitude value must be between -85 and +85 and the longitude one must be between -180 and +180 in the WGS84 projection.
The address must be a String containing the postal address.
The attributes must be represented by a JsonObject containing attribute name/attribute value pairs.

For example :

var pointsJsonArray = [{"lat":43.5, "lng":3.8, "attributes":{"Name":"Viktor Blom","Phone":0033123456789,"Age":25}},
{"lat":43.8, "lng":3.6, "attributes":{"Name":"Doug Polk","Phone":0033123789456,"Age":26}},
{"lat":44.5, "lng":3.4, "attributes":{"Name":"Alexandre Luneau","Phone":0033456789123,"Age":28}}];
var points = JSON.stringify(pointsJsonArray);

Or :

var pointsJsonArray = [{"address":"266 place Ernest Granier, 34000 Montpellier", "attributes":{"Name":"Viktor Blom","Phone":0033123456789,"Age":25}},
{"address":"6 rue de la grange Ory, 94000 Cachan", "attributes":{"Name":"Doug Polk","Phone":0033123789456,"Age":26}},
{"address":"12 avenue du Pirée, 34000 Montpellier", "attributes":{"Name":"Alexandre Luneau","Phone":0033456789123,"Age":28}}];
var points = JSON.stringify(pointsJsonArray);

If successful, this method adds the points to the mapdata defined by the "mapdataName" parameter and returns a 200 HTTP response containing the newly added points keys.

Body Params
string
required

The mapdataName of the mapdata to add the points to. The mapdataName Identify mapdata

string
required

A stringified Json array containing the points coordinates and attributes

string
required

The type of Google license key to use for this API call. Either 'internal' or 'external'. Not case sensitive.

string
required

Your Technical Account ID. For more information : Prerequisites

string
required

Your signature. For more information : Security Overview

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json